insert into tctype (tctype_id) values ('AwardTC');

insert into tcsubtype (tcsubtype_id, tctype_id, accessbeanname, deploycommand) values ('AwardCollectionTC', 'AwardTC', 'com.ibm.commerce.contract.objects.AwardCollectionTCAccessBean', NULL);

insert into tcsubtype (tcsubtype_id, tctype_id, accessbeanname, deploycommand) values ('AwardRedemptionTC', 'AwardTC', 'com.ibm.commerce.contract.objects.AwardRedemptionTCAccessBean', NULL);


create table award (
	member_id bigint not null,
	trading_id bigint not null,
	awardpoint int not null default 0);

alter table award add constraint p_award primary key (member_id, trading_id);


insert into viewreg ( viewname, devicefmt_id, storeent_id, interfacename, classname, properties, https, internal ) 
values ( 'ContractAwardCollectionTCPanelView', -1 , 0, 'com.ibm.commerce.tools.command.ToolsForwardViewCommand', 'com.ibm.commerce.tools.command.ToolsForwardViewCommandImpl', 'docname=tools/contract/AwardCollectionTC.jsp', 1, 1);

insert into viewreg ( viewname, devicefmt_id, storeent_id, interfacename, classname, properties, https, internal ) 
values ( 'ContractAwardRedemptionTCPanelView', -1 , 0, 'com.ibm.commerce.tools.command.ToolsForwardViewCommand', 'com.ibm.commerce.tools.command.ToolsForwardViewCommandImpl', 'docname=tools/contract/AwardRedemptionTC.jsp', 1, 1);


update cmdreg set classname='com.mycompany.award.DoDepositWithAwardCollectionCmdImpl' where interfacename='com.ibm.commerce.payment.commands.DoDepositCmd'; 

update cmdreg set classname='com.mycompany.award.AwardValidateContractCmdImpl' where interfacename='com.ibm.commerce.contract.commands.ValidateContractCmd';


insert into POLICY (POLICY_ID, POLICYNAME, POLICYTYPE_ID, STOREENT_ID, PROPERTIES) values ((select max(policy_id)+1 from policy), 'PayWithAward', 'Payment', -1,  'attrPageName=Award&requireExplicitTC=true');

insert into POLICYDESC( POLICY_ID, LANGUAGE_ID, DESCRIPTION, LONGDESCRIPTION ) values( (select policy_id from policy where policyname='PayWithAward'), -1, 'Award', 'Pay With Collected Award Points' );

insert into POLICYCMD (POLICY_ID, BUSINESSCMDCLASS ) values( (select policy_id from policy where policyname='PayWithAward'), 'com.mycompany.award.DoPaymentAwardCmdImpl' );

insert into POLICYCMD (POLICY_ID, BUSINESSCMDCLASS ) values( (select policy_id from policy where policyname='PayWithAward'), 'com.mycompany.award.CheckPaymentAcceptAwardCmdImpl' );

insert into POLICYCMD (POLICY_ID, BUSINESSCMDCLASS ) values( (select policy_id from policy where policyname='PayWithAward'), 'com.mycompany.award.DoCancelAwardCmdImpl' );

insert into POLICYCMD (POLICY_ID, BUSINESSCMDCLASS ) values( (select policy_id from policy where policyname='PayWithAward'), 'com.mycompany.award.DoDepositAwardCmdImpl' );

insert into POLICYCMD (POLICY_ID, BUSINESSCMDCLASS ) values( (select policy_id from policy where policyname='PayWithAward'), 'com.mycompany.award.DoRefundAwardCmdImpl' );
