
insert into termcond (termcond_id, tcsubtype_id, trading_id, sequence, stringfield2, integerfield1, decimalfield1) values (
	(select max(termcond_id)+1 from termcond), 
	'AwardCollectionTC',
	(select contract_id from contract where name='ToolTech Contract number 4567'), 
	(select COUNT(trading_id)+1 from termcond where trading_id = (select contract_id from contract where name='ToolTech Contract number 4567')),
	'USD', 1, 10.0
);
insert into termcond (termcond_id, tcsubtype_id, trading_id, sequence, stringfield2, integerfield1, decimalfield1) values (
	(select max(termcond_id)+1 from termcond), 
	'AwardRedemptionTC',
	(select contract_id from contract where name='ToolTech Contract number 4567'), 
	(select COUNT(trading_id)+1 from termcond where trading_id = (select contract_id from contract where name='ToolTech Contract number 4567')),
	'USD', 1, 1.0
);


insert into termcond (termcond_id, tcsubtype_id, trading_id, sequence) values (
	(select max(termcond_id)+1 from termcond), 
	'PaymentTC', 
	(select contract_id from contract where name='ToolTech Contract number 4567'), 
	(select COUNT(trading_id)+1 from termcond where trading_id = (select contract_id from contract where name='ToolTech Contract number 4567'))
);
insert into policytc (termcond_id, policy_id) values (
	(select termcond_id from termcond where
		trading_id = (select contract_id from contract where name='ToolTech Contract number 4567') AND
		sequence = (select COUNT(trading_id) from termcond where trading_id = (select contract_id from contract where name='ToolTech Contract number 4567'))),
	(select policy_id from policy where policyname='PayWithAward')
);